from string import Template
from abc import ABC, abstractmethod


class AbstractView(ABC):

    def __init__(self):
        print("This is the constructor method.")

    @abstractmethod
    def getTemplateString(self):
        pass

    def __str__(self):
        return Template(self.getTemplateString()).substitute(self.__dict__)

