from AbstractView import AbstractView
from dataclasses import dataclass

@dataclass
class MyDockerComposeView(AbstractView):
    registry: str
    project_name: str


    def getTemplateString(self):
        return """version: "3"

services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: app
    image: ${registry}/${project_name}
    restart: always
    environment:
      - FOO=$${FOO}
      - BAR=$${BAR}
  """

