from AbstractView import AbstractView
from dataclasses import dataclass

@dataclass
class MyView(AbstractView):
    rate: str
    name: str
    contact_email: str
    date_string: str


    def getTemplateString(self):
        return """Dear ${name},
We would like to inform you that
our rate is going to increase to £${rate} per hour on the ${date_string}.

If you have any questions or concerns, please email us at ${contact_email}.

Sincerely,
Harry"""

